#!/bin/bash
#set -x
set -o posix
#set -u
#set -e
#+
#
# ==================
# Flist_archfile.sh
# ==================
#
# --------------------------
# Check the compilation file
# --------------------------
#
# SYNOPSIS
# ========
#
# ::
#
#  $ Flist_archfile.sh
#
#
# DESCRIPTION
# ===========
#
#
# List arch file available.
# The first line of each file in NEMO/ARCH directory is echoed.  
#
#
# EXAMPLES
# ========
#
# ::
#
#  $ ./Flist_archfile.sh 
#
#
# TODO
# ====
#
# option debug
#
#
# EVOLUTIONS
# ==========
#
# $Id$
#
#
#
#   * creation
#
#-
echo "Available compilers for -m option :"
for file in  $(ls ${MAIN_DIR}/ARCH ${MAIN_DIR}/ARCH/LOCAL | grep fcm )
do
zvar1=${file#arch-}
if [ -f ${MAIN_DIR}/ARCH/$file ]; then
zvar2=$(head -1 ${MAIN_DIR}/ARCH/$file)
else
zvar2=$(head -1 ${MAIN_DIR}/ARCH/LOCAL/$file)
fi
#echo "${zvar1%.fcm} : ${zvar2#\#}"
printf "%-20s %s %-s\n" "${zvar1%.fcm}" : "${zvar2#\#}"
done
